#pragma once

#include "CoreMinimal.h"
#include "StoreItemViewData.h"
#include "CustomizationRewardViewData.h"
#include "EPlayerRole.h"
#include "UObject/NoExportTypes.h"
#include "OutfitInfoViewData.h"
#include "StoreCustomizationItemViewData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UStoreCustomizationItemViewData : public UStoreItemViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FCustomizationRewardViewData CustomizationReward;

	UPROPERTY(BlueprintReadWrite, Transient)
	FName MirrorsId;

	UPROPERTY(BlueprintReadWrite, Transient)
	FText RarityInfoText;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsLocked;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsUsingSmallTemplate;

	UPROPERTY(BlueprintReadWrite, Transient)
	EPlayerRole AssociatedRole;

	UPROPERTY(BlueprintReadWrite, Transient)
	FDateTime ReleaseDate;

	UPROPERTY(BlueprintReadWrite, Transient)
	FOutfitInfoViewData OutfitInfo;

	UPROPERTY(BlueprintReadWrite, Transient)
	FText AssociatedCharacterDisplayName;

	UPROPERTY(BlueprintReadWrite, Transient)
	FName AssociatedCharacterName;

	UPROPERTY(BlueprintReadWrite, Transient)
	FText CategoryInfoText;

public:
	UStoreCustomizationItemViewData();
};

FORCEINLINE uint32 GetTypeHash(const UStoreCustomizationItemViewData) { return 0; }
